/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package InputOutput;

import graphics.ReferenceData;
import graphics.TableComponent;
import java.io.Serializable;
import java.util.ArrayList;

/**
 *
 * @author mates
 */
public class SavingWrapper implements Serializable {
    private ArrayList<SaveTable> tables = new ArrayList<SaveTable>();
    private ArrayList<SaveRef> refs = new ArrayList<SaveRef>();

    public SavingWrapper(ArrayList<TableComponent> tables, ArrayList<ReferenceData> refs) {
        for (TableComponent t : tables) {
            this.tables.add(new SaveTable(t));
        }
        for (ReferenceData ref : refs) {
            this.refs.add(new SaveRef(ref));
        }
    }

    public ArrayList<SaveRef> getRefs() {
        return refs;
    }

    public ArrayList<SaveTable> getTables() {
        return tables;
    }

    
}
