/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package init;

import java.util.ArrayList;
import structures.ISqlDataType;
import structures.SqlDataType;

/**
 *
 * @author mates
 */
public class DefaultDataTypes implements IDataTypes {
    ArrayList<ISqlDataType> typeList = new ArrayList<ISqlDataType>();

    public DefaultDataTypes() {
        ArrayList<String> size = new ArrayList<String>();
        size.add("size");
        ArrayList<String> precisionScale = new ArrayList<String>();
        precisionScale.add("precision");
        precisionScale.add("scale");
        ArrayList<String> precision = new ArrayList<String>();
        precision.add("precision");
        ArrayList<String> nothing = new ArrayList<String>();
        typeList.add(new SqlDataType("CHARACTER", "CHAR", false, size));
        typeList.add(new SqlDataType("NATIONAL CHARACTER", "NCHAR", false, size));
        typeList.add(new SqlDataType("CHARACTER VARYING", "VARCHAR", false, size));
        typeList.add(new SqlDataType("NATIONAL CHARACTER VARYING", "NVARCHAR", false, size));
        typeList.add(new SqlDataType("BIT", "BIT", false, size));
        typeList.add(new SqlDataType("BIT VARYING", "BITVAR", false, size));
        typeList.add(new SqlDataType("NUMERIC", "NUMERIC", false, precisionScale));
        typeList.add(new SqlDataType("DECIMAL", "DECIMAL", false, precisionScale));
        typeList.add(new SqlDataType("INTEGER", "INTEGER", true, nothing));
        typeList.add(new SqlDataType("SMALLINT", "SMALLINT", true, nothing));
        typeList.add(new SqlDataType("FLOAT", "FLOAT", false, precision));
        typeList.add(new SqlDataType("REAL", "REAL", false, nothing));
        typeList.add(new SqlDataType("DOUBLE PRECISION", "DOUBLE", false, nothing));
        typeList.add(new SqlDataType("DATE", "DATE", false, nothing));
        typeList.add(new SqlDataType("TIME", "TIME", false, nothing));
        typeList.add(new SqlDataType("TIMESTAMP", "TIMESTAMP", false, nothing));
        typeList.add(new SqlDataType("INTERVAL", "INTERVAL", false, nothing));
    }

    public ArrayList<ISqlDataType> getTypeList() {
        return typeList;
    }

    

}
