/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manual;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Desktop;
import java.awt.FlowLayout;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JProgressBar;

/**
 *
 * @author mates
 */
public class ThreadStarter extends Thread {
    private Component graphicParent;

    public ThreadStarter(Component parent) {
        graphicParent = parent;
    }

    @Override
    public void run() {
        InputStream resource = getClass().getResourceAsStream("/manual/manual.html");
        try {
            File file = File.createTempFile("manual", ".html");
            file.deleteOnExit();
            OutputStream out = new FileOutputStream(file);

            try {
                JDialog dialog = new JDialog((JFrame)graphicParent);
                dialog.setResizable(false);
                dialog.setLocation(200, 200);
                dialog.setLayout(new BorderLayout());
                JProgressBar pb = new JProgressBar(0, 100);
                pb.setSize(250, 50);
                dialog.add(pb, BorderLayout.CENTER);
                JLabel lbl = new JLabel("Loading help file...");
                dialog.add(lbl, BorderLayout.NORTH);
                dialog.setSize(300, 70);
                dialog.setVisible(true);
                int dataByte;
                int i = 0;
                int max = resource.available();
                while ((dataByte = resource.read()) != -1) {
                    out.write(dataByte);
                    i++;
                    pb.setValue((int)((i/(double)max)*100));
                }
                dialog.setVisible(false);
            } finally {
                out.close();
            }
            Desktop d = Desktop.getDesktop();
            d.open(file);
        } catch (IOException ex) {
            JOptionPane.showMessageDialog(graphicParent, "Open file error");
        } finally {
            try {
                resource.close();
            } catch (IOException ex) {
            }
        }
    }

}
