/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package InputOutput;

import generator.IGenerator;
import init.IDataTypes;
import java.io.Serializable;

/**
 *
 * @author mates
 */
public class PluginWrapper implements Serializable {

    private String pluginName;
    private IDataTypes dataTypeList;
    private IGenerator generator;

    public PluginWrapper(String pluginName, IDataTypes dataTypeList, IGenerator generator) {
        this.pluginName = pluginName;
        this.dataTypeList = dataTypeList;
        this.generator = generator;
    }

    public IDataTypes getDataTypeList() {
        return dataTypeList;
    }

    public void setDataTypeList(IDataTypes dataTypeList) {
        this.dataTypeList = dataTypeList;
    }

    public IGenerator getGenerator() {
        return generator;
    }

    public void setGenerator(IGenerator generator) {
        this.generator = generator;
    }

    public String getPluginName() {
        return pluginName;
    }

    public void setPluginName(String pluginName) {
        this.pluginName = pluginName;
    }

    @Override
    public String toString() {
        return getPluginName();
    }
}
