/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package InputOutput;

import graphics.TableComponent;
import java.awt.Dimension;
import java.awt.Point;
import java.io.Serializable;
import structures.ITable;

/**
 *
 * @author mates
 */
public class SaveTable implements Serializable {

    ITable table;
    Point location;
    Dimension size;

    public SaveTable(TableComponent t) {
        table = t.getTable();
        location = new Point(t.getLocation());
        size = new Dimension(t.getSize());
    }

    public SaveTable(ITable table, Point location, Dimension size) {
        this.table = table;
        this.location = location;
        this.size = size;
    }

    public Point getLocation() {
        return location;
    }

    public void setLocation(Point location) {
        this.location = location;
    }

    public Dimension getSize() {
        return size;
    }

    public void setSize(Dimension size) {
        this.size = size;
    }

    public ITable getTable() {
        return table;
    }

    public void setTable(ITable table) {
        this.table = table;
    }


}
