/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * PluginChooser.java
 *
 * Created on 6.5.2011, 15:57:17
 */
package graphics;

import InputOutput.PluginWrapper;
import generator.IGenerator;
import init.IDataTypes;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.ObjectInputStream;
import javax.swing.DefaultListModel;

/**
 *
 * @author mates
 */
public class PluginChooser extends javax.swing.JPanel {

    String currentPluginName;
    int selIndex = 0;
    /** Creates new form PluginChooser */
    public PluginChooser(String currentPluginName) {
        initComponents();
        this.currentPluginName = currentPluginName;
        showPlugins();
        jList1.setSelectedIndex(selIndex);
    }

    private void showPlugins() {
        DefaultListModel lm = new DefaultListModel();
        lm.addElement("Generic SQL only");

        File dir = new File(".");

        String[] list = dir.list();

        for (int i = 0; i < list.length; i++) {
            if (list[i].endsWith(".dpl")) {
                try {
                    FileInputStream fileIn = new FileInputStream(list[i]);
                    ObjectInputStream in = new ObjectInputStream(fileIn);

                    PluginWrapper pw = (PluginWrapper) in.readObject();

                    in.close();
                    fileIn.close();
                    lm.addElement(pw);
                    if (pw.getPluginName().compareTo(currentPluginName) == 0) {
                        selIndex = lm.getSize()-1;
                    }
                } catch (ClassNotFoundException e) {
                } catch (FileNotFoundException e) {
                } catch (IOException e) {
                }
            }
        }
        jList1.setModel(lm);
    }

    public IGenerator getGenerator() {
        if (jList1.getSelectedIndex() == 0)
            return null;
        else
            return ((PluginWrapper)jList1.getSelectedValue()).getGenerator();
    }

    public IDataTypes getDbSpecificTypes() {
        if (jList1.getSelectedIndex() == 0)
            return null;
        else
            return ((PluginWrapper)jList1.getSelectedValue()).getDataTypeList();
    }

    public String getPluginName() {
        if (jList1.getSelectedIndex() == 0)
            return "Generic SQL";
        else
            return ((PluginWrapper)jList1.getSelectedValue()).getPluginName();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jList1 = new javax.swing.JList();

        jList1.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
        jScrollPane1.setViewportView(jList1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 206, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JList jList1;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables
}
