/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package structures;

import java.io.Serializable;
import java.util.ArrayList;

/**
 *
 * @author mates
 */
public class SqlDataType implements ISqlDataType, Serializable {

    private String shortCut;
    private String name;
    private boolean incrementable;
    private ArrayList<String> args;

    public SqlDataType(String name, String shortCut, boolean incrementable, ArrayList<String> args) {
        this.shortCut = shortCut;
        this.name = name;
        this.incrementable = incrementable;
        this.args = args;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShortCut() {
        return shortCut;
    }

    public void setShortCut(String shortCut) {
        this.shortCut = shortCut;
    }

    public boolean isIncrementable() {
        return incrementable;
    }

    public void setIncrementable(boolean incrementable) {
        this.incrementable = incrementable;
    }

    public ArrayList<String> getArgs() {
        return args;
    }

    public void setArgs(ArrayList<String> args) {
        this.args = args;
    }

    @Override
    public String toString() {
        return shortCut;
    }
}
