/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package structures;

import java.io.Serializable;
import java.util.ArrayList;

/**
 *
 * @author mates
 */
public class Table implements ITable, Serializable {

    private String name;
    private ArrayList<IAttribute> attributeList;

    public Table(String name) {
        this.name = name;
        attributeList = new ArrayList<IAttribute>();
    }

    public ArrayList<IAttribute> getAttributeList() {
        return attributeList;
    }

    public void setAttributeList(ArrayList<IAttribute> attributeList) {
        this.attributeList = attributeList;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ArrayList<IAttribute> getPrimaryKey() {
        ArrayList<IAttribute> al = new ArrayList<IAttribute>();
        for (IAttribute attribute : attributeList) {
            if (attribute.isPrimaryKey())
                al.add(attribute);
        }
        return al;
    }

}
